Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.impl
Class AActImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.act.impl.AActImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AAct, IAct, IID

Direct Known Subclasses:
  AAccessorImpl, AAllImpl, AAnyImpl, ABuildProjectionImpl, ACommandImpl, AGroupImpl, ALogicImpl, AMethodImpl, ANoneImpl, ASelectImpl, ASinkImpl

    public abstract class AActImpl

extends IIDImpl
implements AAct

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected ASelect` | `selected` The cached value of the '`Selected`' reference.
`protected org.eclipse.emf.common.util.EList<AAct>` | `sources` The cached value of the '`Sources`' reference list.
`protected org.eclipse.emf.common.util.EList<AAct>` | `targets` The cached value of the '`Targets`' reference list.

Fields inherited from class org.metaabm.impl.IIDImpl
`id, ID_EDEFAULT, label, LABEL_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `AActImpl()`

Method Summary
`SAgent` | `basicGetReference()`
`ASelect` | `basicGetRootSelected()`
`ASelect` | `basicGetSelected()`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetGroup(AGroup newGroup, org.eclipse.emf.common.notify.NotificationChain msgs)`
`protected java.util.Collection<AAct>` | `computeAllSources(java.util.Collection<AAct> priorSources)`
`protected java.util.Collection<AAct>` | `computeAllTargets()`
`org.eclipse.emf.common.notify.NotificationChain` | `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<AAct>` | `getAllSources()`
`org.eclipse.emf.common.util.EList<AAct>` | `getAllTargets()`
`AGroup` | `getGroup()`
`SAgent` | `getReference()`
`ASelect` | `getRootSelected()`
`ASelect` | `getSelected()`
`org.eclipse.emf.common.util.EList<AAct>` | `getSources()`
`org.eclipse.emf.common.util.EList<AAct>` | `getTargets()`
`boolean` | `isReachable(IValue value)`
`boolean` | `isTargetOf(java.lang.Object check)`
`boolean` | `references(IValue value)`
`void` | `setGroup(AGroup newGroup)`
`void` | `setSelected(ASelect newSelected)`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setID, setLabel, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### sources

    protected org.eclipse.emf.common.util.EList<AAct> sources

  The cached value of the '`Sources`' reference list.

  See Also:
    `getSources()`

### targets

    protected org.eclipse.emf.common.util.EList<AAct> targets

  The cached value of the '`Targets`' reference list.

  See Also:
    `getTargets()`

### selected

    protected ASelect selected

  The cached value of the '`Selected`' reference.

  See Also:
    `getSelected()`

Constructor Detail

### AActImpl

    protected AActImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `IIDImpl`

### getSources

    public org.eclipse.emf.common.util.EList<AAct> getSources()

  Specified by:
    `getSources` in interface `AAct`
  Returns:
    the value of the 'Sources' reference list.
  See Also:
    `MetaABMActPackage.getAAct_Sources()`, `AAct.getTargets()`

### getTargets

    public org.eclipse.emf.common.util.EList<AAct> getTargets()

  Specified by:
    `getTargets` in interface `AAct`
  Returns:
    the value of the 'Targets' reference list.
  See Also:
    `MetaABMActPackage.getAAct_Targets()`, `AAct.getSources()`

### getReference

    public SAgent getReference()

  Specified by:
    `getReference` in interface `AAct`
  Returns:
    the value of the 'Reference' reference.
  See Also:
    `MetaABMActPackage.getAAct_Reference()`

### basicGetReference

    public SAgent basicGetReference()

### getGroup

    public AGroup getGroup()

  Specified by:
    `getGroup` in interface `AAct`
  Returns:
    the value of the 'Group' container reference.
  See Also:
    `AAct.setGroup(AGroup)`, `MetaABMActPackage.getAAct_Group()`, `AGroup.getMembers()`

### basicSetGroup

    public org.eclipse.emf.common.notify.NotificationChain basicSetGroup(AGroup newGroup,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setGroup

    public void setGroup(AGroup newGroup)

  Specified by:
    `setGroup` in interface `AAct`
  Parameters:
    `newGroup` - the new value of the 'Group' container reference.
  See Also:
    `AAct.getGroup()`

### getSelected

    public ASelect getSelected()

  Specified by:
    `getSelected` in interface `AAct`
  Returns:
    the value of the 'Selected' reference.
  See Also:
    `AAct.setSelected(ASelect)`, `MetaABMActPackage.getAAct_Selected()`

### basicGetSelected

    public ASelect basicGetSelected()

### setSelected

    public void setSelected(ASelect newSelected)

  Specified by:
    `setSelected` in interface `AAct`
  Parameters:
    `newSelected` - the new value of the 'Selected' reference.
  See Also:
    `AAct.getSelected()`

### computeAllSources

    protected java.util.Collection<AAct> computeAllSources(java.util.Collection<AAct> priorSources)

### getAllSources

    public org.eclipse.emf.common.util.EList<AAct> getAllSources()

  Specified by:
    `getAllSources` in interface `AAct`
  Returns:
    the value of the 'All Sources' reference list.
  See Also:
    `MetaABMActPackage.getAAct_AllSources()`

### computeAllTargets

    protected java.util.Collection<AAct> computeAllTargets()

### getAllTargets

    public org.eclipse.emf.common.util.EList<AAct> getAllTargets()

  Specified by:
    `getAllTargets` in interface `AAct`
  Returns:
    the value of the 'All Targets' reference list.
  See Also:
    `MetaABMActPackage.getAAct_AllTargets()`

### getRootSelected

    public ASelect getRootSelected()

  Specified by:
    `getRootSelected` in interface `AAct`
  Returns:
    the value of the 'Root Selected' reference.
  See Also:
    `MetaABMActPackage.getAAct_RootSelected()`

### basicGetRootSelected

    public ASelect basicGetRootSelected()

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `IIDImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `IIDImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `IIDImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `IIDImpl`

### isTargetOf

    public boolean isTargetOf(java.lang.Object check)

  Specified by:
    `isTargetOf` in interface `AAct`

### isReachable

    public boolean isReachable(IValue value)

  Specified by:
    `isReachable` in interface `AAct`

### references

    public boolean references(IValue value)

  Specified by:
    `references` in interface `AAct`
  Overrides:
    `references` in class `IIDImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD